<?php
 
 use PHPMailer\PHPMailer\PHPMailer;
 use PHPMailer\PHPMailer\Exception;
 
 require 'PHPMailer/src/Exception.php';
 require 'PHPMailer/src/PHPMailer.php';
 require 'PHPMailer/src/SMTP.php';

 //Recebe os parâmetros passados pelo formulário para poder criar a mensagem a ser enviada.
 $setor = $_POST['departamento'];
 $nome = $_POST['fnome'];
 $data = $_POST['fdata'];
 $telefone = $_POST['ftelefone'];
 $instituicao = $_POST['finstituicao'];
 $uf = $_POST['fuf-contato'];
 $cargo = $_POST['fcargo'];
 $email = $_POST['femail'];
 $celular = $_POST['fcelular'];
 $cidade = $_POST['fcidade'];
 $finalidade = $_POST['ffinalidade'];
 $participantes = $_POST['fparticipantes'];
 $consideracoes = $_POST['fconsideracoes'];
 if(isset($_POST['g-recaptcha-response'])) {
    $captcha_data = $_POST['g-recaptcha-response'];
 }
 $resposta = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6LdHRbYaAAAAANATx2d6dtIDScOawjAYGFccKw7Z&response=".$captcha_data."&remoteip=".$_SERVER['REMOTE_ADDR']);

 $body_content = "Departamento a ser visitado: $setor <br/>Instituição: $instituicao <br/>Nome do Solicitante: $nome <br/>Cargo: $cargo <br/>Data da visita: $data <br/>E-mail: $email <br/>Telefone: $telefone <br/>Celular: $celular <br/>UF: $uf <br/>Cidade: $cidade <br/>Finalidade da visita: $finalidade <br/>Participantes: $participantes <br/>Outras considerações: $consideracoes";
     
 if (!$captcha_data) {
    echo "Por favor, confirme o captcha.";
    exit;
 }

 if ($resposta.success) {
    $mail = new PHPMailer;
    $mail->CharSet = 'UTF-8';
    $mail->isSMTP();
    $mail->SMTPDebug = 0; // 0 = off (for production use) - 1 = client messages - 2 = client and server messages
    $mail->Host = "mail.cisamusep.org.br"; // use $mail->Host = gethostbyname('smtp.gmail.com'); // if your network does not support SMTP over IPv6
    $mail->Port = 587; // TLS only
    $mail->SMTPSecure = 'tls'; // ssl is depracated
    $mail->SMTPAuth = true;
    $mail->Username = "naoresponda@cisamusep.org.br";
    $mail->Password = "cisa2012@2012*";
    $mail->setFrom("naoresponda@cisamusep.org.br", "Cisamusep");
    $mail->addAddress("cisamusep@cisamusep.org.br");
    $mail->Subject = 'Solicitação via formulário de contato do site';
    $mail->msgHTML($body_content); //$mail->msgHTML(file_get_contents('contents.html'), __DIR__); //Read an HTML message body from an external file, convert referenced images to embedded,
    $mail->AltBody = 'HTML messaging not supported';
    // $mail->addAttachment('images/phpmailer_mini.png'); //Attach an image file
    
    if(!$mail->send()){
        echo "Mailer Error: " . $mail->ErrorInfo;
    }else{
        echo "Message sent!";
    }
 }